#!/usr/bin/perl

print "---------------------------------------------------\n";
print " Algoritmische Anwendungen - Gruppe E-PINK         \n";
print " Ein Praktikumsprojekt von:\n";
print "\n  Alexander Christmann 110 302 81\n";
print "  Thomas Klughardt     110 331 59\n";
print "===================================================\n";

for (my $k = 0;;$k = 0)
{
	print " HAUPTMENU:\n";
	print "---------------------------------------------------\n";
	
	# Liste verfgbarer Streams ermitteln.
	my @execute = ();
	
	foreach my $l (split(' ',`ls -x ergebnisse`))
	{
		if ($l)
		{
			my @element = split(' ',$l);
			my $file = pop(@element);
			print " [$k] - $file\n";
			push(@execute, "./viewer.app/Contents/MacOS/viewer FULLSCREEN <ergebnisse/$file");
			$k ++;
		}
	}

	print "---------------------------------------------------\n";	
	# Liste verfgbarer Demos ermitteln.
	foreach my $l (split(' ',`ls -x beispiele`))
	{
		if ($l)
		{
			my @element = split(' ',$l);
			my $file = pop(@element);
			print " [$k] - $file\n";		
			push(@execute, "java -cp beispiele/$file mg_glaetter | ./viewer.app/Contents/MacOS/viewer FULLSCREEN");
			$k ++;
		}
	}
	
	print "---------------------------------------------------\n";		
	print " [p] - Praesentation \n";
	print " [e] - Endvortrag \n";
	print " [d] - Dokumentation\n";	
	print " [j] - Dokumentation Javadoc\n";
	print " [c] - Quellencode verzeichnis\n";
	print " [r] - Readme\n";
	print " [q] - Beenden\n";
	print "===================================================\n -->";
	
	my ($i) = split("\n",<>);
	
	print " Befehl wird ausgefuehrt...\n";
	$i = uc($i);
	
	if ($i eq 'Q')	{	last;	}
	if ($i eq 'P')	{	`open dokumentation/mehrgitter_praese.pdf`;	next;	}
	if ($i eq 'D')	{	`open dokumentation/Mehrgitter_doku.pdf`;	next;	}	
	if ($i eq 'E')	{	`open dokumentation/Mehrgitter_Endvortrag.pdf`;	next;	}		
	if ($i eq 'J')	{	`open dokumentation/mehrgitter/index.html`;	next;	}
	if ($i eq 'C')	{	`open quellcodes`;	next;	}	
	if ($i eq 'R')	{	`open readme.txt`;	next;	}	
		
	`$execute[$i]`;
}